version: "3.9"

services:
  api:
    image: "{{ api_image }}"
    volumes:
      - /var/log/{{ project_name }}:/var/log
    env_file:
      - "{{ config_dir }}/.env"
    environment:
      PORT: 3002
    expose:
      - 3002
    labels:
      traefik.enable: true
      traefik.http.routers.{{ project_name }}-client.rule: 'Host(`{{ api_domain }}`)'
      traefik.http.routers.{{ project_name }}-client.entryPoints: https
      traefik.http.routers.{{ project_name }}-client.tls: true
    networks:
      - http
    restart: always

networks:
  http:
    external: true
    name: traefik_http
